<?php
/**
 * The template for displaying featured posts on the front page
 *
 * @package Personal_Trainer
 */
?>

<?php
$show_content = get_theme_mod( 'personaltrainer_professionals_show', 'hide-content' );

$post_class = has_post_thumbnail() ? 'has-post-thumbnail' : '';
?>
<div class="meet-slide">
	<article id="post-<?php the_ID(); ?>" <?php post_class( $post_class ); ?>>
		<div class="entry-container">
			<?php
			if ( 'excerpt' === $show_content ) {
				$excerpt = get_the_excerpt();

				echo '<div class="entry-content"><p>' . $excerpt . '</p></div><!-- .entry-content -->';
			} elseif ( 'full-content' === $show_content ) {
				$content = apply_filters( 'the_content', get_the_content() );
				$content = str_replace( ']]>', ']]&gt;', $content );
				echo '<div class="entry-content">' .wp_kses_post( $content ). '</div><!-- .entry-content -->';
			} ?>

			<header class="entry-header">
			<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h2>' ); ?>
			</header>
		</div><!-- .entry-container -->

		<?php if ( ! get_theme_mod( 'personaltrainer_professionals_disable_image' ) ) : ?>
		<figure class="featured-content-image">
			<?php
			if ( has_post_thumbnail() ) {
				the_post_thumbnail( 'personaltrainer-professionals' );
			}
			else {
				$image = '<img src="' . trailingslashit( esc_url( get_template_directory_uri() ) ) . 'assets/images/no-thumb-448x770.jpg"/>';

				// Get the first image in page, returns false if there is no image.
				$first_image = personaltrainer_get_first_image( $post->ID, 'personaltrainer-professionals', '' );

				// Set value of image as first image if there is an image present in the page.
				if ( $first_image ) {
					$image = $first_image;
				}

				echo $image;
			}
			?>
		</figure>
		<?php endif; ?>
	</article>
</div>
